## nordugrid-arc 1.0.0

=== debian/changelog ===
nordugrid-arc (1.0.0-2build1) oneiric; urgency=low

  * Now that gridsite built in ubuntu, rebuild this package.

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 18 Jun 2011 19:08:58 +0200

nordugrid-arc (1.0.0-2) unstable; urgency=low

  * Portability fixes (PATH_MAX)
  * Remove Steffen from Uploaders
  * Add missing include stddef.h for newer gcc (Closes: #628242)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 25 May 2011 06:57:39 +0200

nordugrid-arc (1.0.0-1) unstable; urgency=low

  * New package that replaces nordugrid-arc-nox (Closes: #626633)
  * Fixes nordugrid-arc-nox bugs (Closes: #581128, #581129, #607126,
    #621378, #622421, #623500)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 18 Apr 2011 08:59:55 +0200
