=== debian/control ===
Source: nordugrid-arc
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Uploaders: Anders Wäänänen <waananen@nbi.dk>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libxml2-dev (>= 2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb5.1++-dev | libdb4.8++-dev | libdb4.7++-dev | libdb4.6++-dev | libdb4.5++-dev | libdb4.4++-dev | libdb4.3++-dev | libdb4.2++-dev | libdb++-dev, libxmlsec1-dev (>=1.2.4), libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-rls-client-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, python-support, default-jdk | openjdk-6-jdk, liblfc-dev, libgridsite-dev, openssl
XS-Python-Version: current
Standards-Version: 3.9.2
Vcs-Browser: http://svn.nordugrid.org/trac/nordugrid/browser/arc1
Vcs-Svn: http://svn.nordugrid.org/repos/nordugrid/arc1/trunk
Homepage: http://www.nordugrid.org

Package: libarccommon1
Provides: nordugrid-arc-libs, nordugrid-arc1, nordugrid-arc-nox
Replaces: nordugrid-arc-libs (<< 1.0.0~), nordugrid-arc1 (<< 1.0.0~), nordugrid-arc-nox (<< 1.3.0~), libarccommon0
Conflicts: nordugrid-arc-libs (<< 1.0.0~), nordugrid-arc1 (<< 1.0.0~), nordugrid-arc-nox (<< 1.3.0~), nordugrid-arc-httpsd (<< 0.8.2~), nordugrid-arc-logger-server (<< 0.8.2~), nordugrid-arc-nox-charon (<< 1.3.0~), nordugrid-arc-nox-compiler (<< 1.3.0~), nordugrid-arc-nox-delegation (<< 1.3.0~), nordugrid-arc-nox-paul (<< 1.3.0~), nordugrid-arc-nox-saml2sp (<< 1.3.0~), nordugrid-arc-nox-slcs (<< 1.3.0~), libarccommon0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: ARC grid middleware
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Advanced Resource Connector (ARC) brings computing resources
 together across institutional boundaries. This concept is commonly
 referred to as a "computational grid". Historically, grids address the
 organisation of distributed storage of data and parallel computation,
 but arbitrary services are thinkable.
 .
 Just like the web, ARC has its roots in the IT infrastructure that was
 erected to analyse the experiments for high energy physics at CERN. The
 first release, ARC-0.x, was dependent on Globus, the current release
 keeps that compatibility but can also be used independently.
 .
 With ARC, the user gains flexibility
 with additional services and more supported platforms. The service
 developer notices that even for persistent functionality across the
 two major versions, what has been a script on the server side once,
 that was repeatedly started and ran through, this has now become a
 service. Those are only started once and can then be queried, which
 is far more efficient, far more responsive, and is no longer stateless
 but can observe changes of values over time.

Package: nordugrid-arc-client
Provides: nordugrid-arc1-client, nordugrid-arc-nox-client
Replaces: nordugrid-arc1-client (<< 1.0.0~), nordugrid-arc-nox-client (<< 1.3.0~)
Conflicts: nordugrid-arc1-client (<< 1.0.0~), nordugrid-arc-nox-client (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC prototype clients
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 For the regular user of any ARC-based computational grid,
 this client package contains (or depends on) all packages
 that are needed to submit jobs, query their status and
 retrieve results.

Package: nordugrid-arc-hed
Provides: nordugrid-arc1-server, nordugrid-arc-nox-hed
Replaces: nordugrid-arc1-server (<< 1.0.0~), nordugrid-arc-nox-hed (<< 1.3.0~)
Conflicts: nordugrid-arc1-server (<< 1.0.0~), nordugrid-arc-nox-hed (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nordugrid-arc-python
Description: ARC Hosting Environment Daemon
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC Hosting Environment Daemon (HED). This daemon presents a site
 to other participants on the grid. An intrinsic component of any grid
 system is a mechanism allowing for the secure stateful communication with
 remote environments. HED prepares for such an environment and as such
 is the core of the ARC middleware. HED was however written in a way,
 that represents typical grid computing tasks (the sharing of CPU time
 or storage) to become just one possible service between a user and a
 remote machine. Many others are thinkable, and HED takes considerable
 effort away from the respective implementors.

#Package: nordugrid-arc-charon
#Provides: nordugrid-arc-nox-charon
#Replaces: nordugrid-arc-nox-charon (<< 1.3.0~)
#Conflicts: nordugrid-arc-nox-charon (<< 1.3.0~)
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-hed (= ${binary:Version})
#Description: ARC Charon service
# The NorduGrid is a collaboration aiming at development, maintenance
# and support of the free Grid middleware, known as the Advanced Resource
# Connector (ARC).
# .
# Charon is a remote policy decision point service. It accepts formatted
# policy decision request and return positive or negative response. When
# running a Charon (within the HED), the TLS layer can be used for
# securing the communication, when the request or response  information
# are critical.

Package: nordugrid-arc-chelonia
Provides: nordugrid-arc-nox-chelonia
Replaces: nordugrid-arc-nox-chelonia (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-chelonia (<< 1.3.0~)
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, nordugrid-arc-python (= ${binary:Version}), python-fuse
Description: ARC Chelonia service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The NorduGrid storage service Chelonia consists of a set of SOAP based
 services residing within HED. Together, the services provide a self-healing,
 reliable, robust, scalable, resilient and consistent data storage system.

Package: nordugrid-arc-hopi
Provides: nordugrid-arc-nox-hopi
Replaces: nordugrid-arc-nox-hopi (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-hopi (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-hed (= ${binary:Version})
Description: ARC Hopi service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Hopi service provides a simple implementation of an http(s)
 server. It supports GET and PUT operations. It can be used as a simple
 file transfer service and it is usable via common web browsers and
 other http(s) clients (e.g. wget).

Package: nordugrid-arc-isis
Provides: nordugrid-arc-nox-isis
Replaces: nordugrid-arc-nox-isis (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-isis (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC Isis service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Isis is the new ARC information system implemented within HED. Isis
 comes with P2P capabilities and a web-services interface. The new system
 grants grid participants an increase in flexibility, robustness and it
 also offers easier configuration and self-healing capability.

Package: nordugrid-arc-gridftpd
Provides: nordugrid-arc-nox-gridftp-server
Replaces: nordugrid-arc-nox-gridftp-server (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-gridftp-server (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC gridftp server
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC gridftp server which has a plugin framework.
 Current plugins include:
 .
   fileplugin : Standard gridftp server based on Globus globus-ftp-control
   gaclplugin : Enhanced server with support for GACL authorization
   jobplugin  : Classical ARC job submission interface

Package: nordugrid-arc-cache-service
Provides: nordugrid-arc-nox-cache-service
Replaces: nordugrid-arc-nox-cache-service (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-cache-service (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC cache service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC cache service. It provides a way to perform
 some operations on the A-REX cache remotely. It can be especially helpful
 for data management within a pilot job framework.

Package: nordugrid-arc-aris
Provides: nordugrid-arc-infosys-ldap, nordugrid-arc-nox-ldap-infosys, nordugrid-arc-infoindex
Replaces: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~)
Conflicts: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~)
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, bdii
Description: ARC LDAP infosys service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the LDAP based information system for ARC.
 This package is not self-contained. it should be pulled in by either
 nordugrid-arc-arex to be a part of a local information system or
 by nordugrid-arc-egiis to be a part of a EGIIS service.

Package: nordugrid-arc-egiis
Provides: nordugrid-arc-nox-giis
Replaces: nordugrid-arc-nox-giis (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-giis (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-aris (= ${source:Version})
Description: ARC EGIIS service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC). 
 .
 The EGIIS is the Information Index Service used by ARC, This service is
 used to set up a ldap-based server that local information systems register
 to.

Package: nordugrid-arc-ldap-monitor
Provides: nordugrid-arc-monitor
Replaces: nordugrid-arc-monitor (<< 1.0.0~)
Conflicts: nordugrid-arc-monitor (<< 1.0.0~)
Architecture: all
Depends: ${misc:Depends}
Description: ARC LDAP monitor service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the LDAP monitor system for ARC.
 This package is self-contained. It is used to set up a web-based monitor
 which pulls information from a EGIIS and shows it graphically.

Package: nordugrid-arc-ws-monitor
Architecture: all
Depends: ${misc:Depends}
Description: ARC WS monitor service
 The NorduGrid is a collaboration aiming at development, maintenance
 and support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the WS monitor system for ARC.
 This package is self-contained. It is used to set up a web-based monitor
 which pulls information from ISIS and shows it graphically.

#Package: nordugrid-arc-slcs
#Provides: nordugrid-arc-nox-slcs
#Replaces: nordugrid-arc-nox-slcs (<< 1.3.0~)
