## nordugrid-arc 1.1.0

=== debian/changelog ===
nordugrid-arc (1.1.0-2) unstable; urgency=low

  * Backport fixes for endian independent md5 checksum
  * Filter out -Wl,-Bsymbolic-functions from default Ubuntu LDFLAGS

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 24 Oct 2011 02:19:37 +0200

nordugrid-arc (1.1.0-1) unstable; urgency=low

  * 1.1.0 Final Release
  * Drop patches accepted upstream: nordugrid-arc-perl-switch.patch and
    nordugrid-arc-run-full.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Oct 2011 14:30:45 +0200

nordugrid-arc (1.0.1-2) unstable; urgency=low

  * Remove perl switch statements (and drop Depends on libswitch-perl)
  * Move large files away from /var/run in order not to fill up /run partition
  * Move arc-lcas and arc-lcmaps to plugins-globus package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 27 Aug 2011 21:53:49 +0200

nordugrid-arc (1.0.1-1) unstable; urgency=low

  * 1.0.1 Final Release
  * Add Depends on libswitch-perl (Closes: #629463)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 23 Jul 2011 09:32:53 +0200
