=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+-include /usr/share/dpkg/buildflags.mk
+
+# Filter out -Wl,-Bsymbolic-functions from default Ubuntu LDFLAGS
+COMMA = ,
+LDFLAGS := $(filter-out -Wl$(COMMA)-Bsymbolic-functions,$(LDFLAGS))
 
 LFC_SUPPORT = yes
 
@@ -11,25 +14,13 @@
 LFC_CONFIGURE_OPTION = --disable-lfc
 endif
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-MAKEFLAGS += -j$(NUMJOBS)
-endif
-
 configure: configure-stamp
 	:
 
 configure-stamp:
 	dh_testdir
-	CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
+	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -43,7 +34,13 @@
 		    $(LFC_CONFIGURE_OPTION)
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+	:
+
+build-arch: build-stamp
+	:
+
+build-indep: build-stamp
 	:
 
 build-stamp: configure-stamp
@@ -62,7 +59,8 @@
 
 	rm -f debian/nordugrid-arc-arex.a-rex.init
 	rm -f debian/nordugrid-arc-hed.arched.init
-	rm -f debian/nordugrid-arc-cache-service.cache-service.init
+	rm -f debian/nordugrid-arc-cache-service.arc-cache-service.init
+	rm -f debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.init
 	rm -f debian/nordugrid-arc-gridftpd.gridftpd.init
 	rm -f debian/nordugrid-arc-aris.grid-infosys.init
 
@@ -83,8 +81,10 @@
 	   debian/nordugrid-arc-arex.a-rex.init
 	mv debian/tmp/etc/init.d/arched \
 	   debian/nordugrid-arc-hed.arched.init
-	mv debian/tmp/etc/init.d/cache-service \
-	   debian/nordugrid-arc-cache-service.cache-service.init
+	mv debian/tmp/etc/init.d/arc-cache-service \
+	   debian/nordugrid-arc-cache-service.arc-cache-service.init
+	mv debian/tmp/etc/init.d/arc-datadelivery-service \
+	   debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.init
 	mv debian/tmp/etc/init.d/gridftpd \
 	   debian/nordugrid-arc-gridftpd.gridftpd.init
 	mv debian/tmp/etc/init.d/grid-infosys \
@@ -110,17 +110,19 @@
 	dh_installchangelogs
 	dh_installinit --name arched
 	dh_installinit --name a-rex
-	dh_installinit --name cache-service
+	dh_installinit --name arc-cache-service
+	dh_installinit --name arc-datadelivery-service
 	dh_installinit --name gridftpd
 	dh_installinit --name grid-infosys
 	dh_perl
 	dh_pysupport
-	dh_lintian
+	[ -x /usr/bin/dh_lintian ] && dh_lintian || :
 	dh_link
 	dh_strip --dbg-package=nordugrid-arc-dbg
 
-	mv debian/nordugrid-arc-dbg/usr/lib/debug/usr/lib/pyshared \
-	   debian/nordugrid-arc-dbg/usr/lib/debug/usr/lib/pymodules
+	test -d debian/nordugrid-arc-dbg/usr/lib/debug/usr/lib/pyshared && \
+           mv debian/nordugrid-arc-dbg/usr/lib/debug/usr/lib/pyshared \
+	   debian/nordugrid-arc-dbg/usr/lib/debug/usr/lib/pymodules || :
 
 	dh_compress -X .pdf
 	dh_fixperms
@@ -134,4 +136,4 @@
 binary: binary-arch binary-indep
 	:
 
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-arch build-indep build clean binary-arch binary-indep binary install configure
