## nordugrid-arc 1.1.1

=== debian/changelog ===
nordugrid-arc (1.1.1-1) unstable; urgency=low

  * 1.1.1 Bugfix Release
  * Fixes FTBFS (Closes: #661774) (LP: #935007)
  * Fix typo in package description (Closes: #646979)
  * Split binary rule in debian/rules for arch and indep

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 Mar 2012 19:48:16 +0100
